using System;
using System.Text;
using System.Collections.Generic;
#if !NUNIT
using Microsoft.VisualStudio.TestTools.UnitTesting;
#else
using NUnit.Framework;
using TestClass = NUnit.Framework.TestFixtureAttribute;
using TestInitialize = NUnit.Framework.SetUpAttribute;
using TestCleanup = NUnit.Framework.TearDownAttribute;
using TestMethod = NUnit.Framework.TestAttribute;
#endif

namespace CachingDBThreadWaitTests
{
    [Serializable()]
    public class ItemDetails
    {
        private string name;
        private decimal price;
        private int itemId;
        public ItemDetails()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        public ItemDetails(int id, string name, decimal price)
        {
            this.itemId = id;
            this.name = name;
            this.price = price;
        }

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        public int ItemId
        {
            get { return itemId; }
            set { itemId = value; }
        }
        public decimal Price
        {
            get { return price; }
            set { price = value; }
        }

    }
}
