using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;

namespace ConfigurationCoreTests.Configuration
{
    class ItemMapper:IConfigurationNameMapper
    {
        public string MapName(string name, IConfigurationSource configSource)
        {
            if (name != null)
                return name;
            ItemSettings settings = (ItemSettings) configSource.GetSection("itemConfiguration");
            return settings.DefaultItem;  
        }
    }
}
