using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;    
   
namespace ConfigurationCoreTests
{
    class CarFactory:LocatorNameTypeFactoryBase<Car> 
    {
        public CarFactory()
			: base()
		{
		}
 
		/// <summary>
		/// <para>Initializes a new instance of the <see cref="CacheManagerFactory"/> class 
		/// with the given configuration source.</para>
		/// </summary>
        /// <param name="configurationSource">The configuration source that contains information on how to build the <see cref="CacheManager"/> instances</param>
        public CarFactory(IConfigurationSource configurationSource)
			: base(configurationSource)
		{ }

    }
}
