using System;
using System.Text;
using System.Collections.Generic;
#if !NUNIT
using Microsoft.VisualStudio.TestTools.UnitTesting;
#else
using NUnit.Framework;
using TestClass = NUnit.Framework.TestFixtureAttribute;
using TestInitialize = NUnit.Framework.SetUpAttribute;
using TestCleanup = NUnit.Framework.TearDownAttribute;
using TestMethod = NUnit.Framework.TestAttribute;
#endif
using Microsoft.Practices.EnterpriseLibrary.Caching;
using Microsoft.Practices.EnterpriseLibrary.Caching.Expirations;

namespace CachingDatabaseTests
{
    /// <summary>
    /// Summary description for PartitionTestFixture
    /// </summary>
    [TestClass]
    public class PartitionTestFixture
    {
        public PartitionTestFixture()
        {
            //
            // TODO: Add constructor logic here
            //
        }

        #region Additional test attributes
        //
        // You can use the following additional attributes as you write your tests:
        //
        // Use ClassInitialize to run code before running the first test in the class
        // [ClassInitialize()]
        // public static void MyClassInitialize(TestContext testContext) { }
        //
        // Use ClassCleanup to run code after all tests in a class have run
        // [ClassCleanup()]
        // public static void MyClassCleanup() { }
        //
        // Use TestInitialize to run code before running each test 
        [TestInitialize()]
        public void MyTestInitialize() {
            
        
        }
        //
        // Use TestCleanup to run code after each test has run
        // [TestCleanup()]
        // public void MyTestCleanup() { }
        //
        #endregion

        [TestMethod]
        public void PartitionTest()
        {
            CacheManager itemCache = CacheFactory.GetCacheManager("DBCacheManager");
            EmployeeDetails.EmployeeDetails writtenItem = new EmployeeDetails.EmployeeDetails();
            EmployeeDetails.EmployeeDetails itemDetails = new EmployeeDetails.EmployeeDetails(1, "Tom", 25);

            itemCache.Add(itemDetails.Id.ToString(), itemDetails);

        }
    }
}
