using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;
using System.Collections.Specialized;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration.ObjectBuilder;

namespace ExceptionHandlingCoreTests
{


    [ConfigurationElementType(typeof(CustomHandlerData))]
    public class CustomExceptionThrowerHandler : IExceptionHandler
    {


        public CustomExceptionThrowerHandler()
        {
        }

        public CustomExceptionThrowerHandler(NameValueCollection attributes)
            : this()
        {
        }

        public Exception HandleException(Exception exception, Guid correlationID)
        {
            throw new Exception("Handler Throwing An Exception");
        }
    }

}